#==========================================================================#
# ■ B.Forum Ver.1.01                                                      #
# ■ プラグインSDK(portal)                                                 #
# □ Encode = EUC                                                          #
# □ Hiroaki,Sakuma (sakuma@beetas.org)                                    #
#                                                                          #
# このアプリケーションはオープンソースウェアです.                          #
# 無料で使用することができます.                                            #
# なお, 詳細な使用条件/最新情報については下記サイトをご覧下さい.           #
# http://www.beetas.org/                                                   #
#                                                                          #
# ------------------------------------------------------------------------ #
# Copyright 2001-2002 Hiroaki,Sakuma All Rights Reserved.                  #
# Copyright 2001-2002 BEETAS.org All Rights Reserved.                      #
#                                                                          #
#==========================================================================#
package portal;

use Exporter;
use strict;

@ISA = qw(Exporter);
@EXPORT = qw(version status require_min require_max main);

my (%in %SET);

sub version {
	# バージョン(要変更)
	$version = "Plugin SDK(portal) 1.01(0055-0058)";
	return $version;
}

sub status {
	return 1;
}

sub require_min {
	# 最低動作バージョン(要変更)
	$require_min = "0055";
	return $require_min;
}

sub require_max {
	# 最高動作バージョン(要変更)
	$require_max = "0058";
	return $require_max;
}

sub main ($$$@) {

	# 変更の必要なし
	my $head = $_[0];
	my $foot = $_[1];
	%in = %{$_[2]};
	splice (@_,0,3);
	%SET = %Bforum::SET;



	# ここから変更

	my ($tmp1,$tmp2);

	$tmp1 = $Bforum::portal;

	while ($Bforum::portal =~ /{(.+?):(.+?)}/go) {
		undef %status;
		&Bforum::_analysis(\%status,&Bforum::_open(undef,"$SET{'USER_DIR'}/$1/status"));
		$tmp2 = "$1:$2";
		if (%status) {
			if ($2 eq 'url') {
				$print{$tmp2} = $cgi . '?' . $1;
			} elsif ($2 eq 'thread') {
				$print{$tmp2} = $status{'thread'};
			} elsif ($2 eq 'log') {
				$print{$tmp2} = $status{'log'};
			} elsif ($2 eq 'date') {
				$print{$tmp2} = &Bforum::_time($status{'date'});
			} elsif ($2 =~ /date:(.+)/o) {
				$print{$tmp2} = &Bforum::_time($status{'date'},$1);
			} else {
				$print{$tmp2} = "";
			}
		} else {
			$print{$tmp2} = "$SET{'USER_DIR'}/$1/status";
		}
	}

	&change($tmp1,\%print);
	undef %print;

	return $tmp1;

}

sub about {
	close (NULL);
	&Bforum::about((caller)[2] . '@' . &version);
}

1;

